Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.projection
Class Segment

    java.lang.Object
      org.eclipse.jface.text.Position
          org.eclipse.jface.text.projection.Segment

public class Segment
extends Position

Internal class. Do not use. Only public for testing purposes.

A segment is the image of a master document fragment in a projection document.

Since:
  3.0

Field Summary
`Fragment` | `fragment` The corresponding fragment for this segment.
`boolean` | `isMarkedForShift` A flag indicating that the segment updater should shift this segment when a change happends at its boundaries.
`boolean` | `isMarkedForStretch` A flag indicating that the segment updater should stretch this segment when a change happens at its boundaries.

Fields inherited from class org.eclipse.jface.text.Position
`isDeleted, length, offset`

Constructor Summary
`Segment(int offset, int length)` Creates a new segment covering the given range.

Method Summary
`void` | `clearMark()` Clears the shifting and the streching flag.
`boolean` | `isMarkedForShift()` Returns `true` if the shifting flag is set, `false` otherwise.
`boolean` | `isMarkedForStretch()` Returns `true` if the stretching flag is set, `false` otherwise.
`void` | `markForShift()` Sets the shifting flag.
`void` | `markForStretch()` Sets the stretching flag.

Methods inherited from class org.eclipse.jface.text.Position
`delete, equals, getLength, getOffset, hashCode, includes, isDeleted, overlapsWith, setLength, setOffset, undelete`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fragment

    public Fragment fragment

  The corresponding fragment for this segment.

### isMarkedForStretch

    public boolean isMarkedForStretch

  A flag indicating that the segment updater should stretch this segment when a change happens at its boundaries.

### isMarkedForShift

    public boolean isMarkedForShift

  A flag indicating that the segment updater should shift this segment when a change happends at its boundaries.

Constructor Detail

### Segment

    public Segment(int offset,
                   int length)

  Creates a new segment covering the given range.

Parameters:
  `offset` - the offset of the segment
  `length` - the length of the segment

Method Detail

### markForStretch

    public void markForStretch()

  Sets the stretching flag.

### isMarkedForStretch

    public boolean isMarkedForStretch()

  Returns `true` if the stretching flag is set, `false` otherwise.

  Returns:
    `true` if the stretching flag is set, `false` otherwise

### markForShift

    public void markForShift()

  Sets the shifting flag.

### isMarkedForShift

    public boolean isMarkedForShift()

  Returns `true` if the shifting flag is set, `false` otherwise.

  Returns:
    `true` if the shifting flag is set, `false` otherwise

### clearMark

    public void clearMark()

  Clears the shifting and the streching flag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.